# $Revision: 1.33 $, $Date: 2010/05/12 15:40:16 $
Summary:	Yacas, a computer algebra language
Summary(pl.UTF-8):	Yacas, język algebry komputerowej
Name:		yacas
Version:	1.2.2
Release:	2
License:	GPL
Group:		Applications/Math
Source0:	http://yacas.sourceforge.net/backups/%{name}-%{version}.tar.gz
# Source0-md5:	329f149ca3ceb976a7e596b56fc3cba5
Source1:	%{name}.desktop
Patch0:		%{name}-gcc43.patch
URL:		http://yacas.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gsl-devel
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Yacas (Yet Another Computer Algebra System) is a small and highly
flexible computer algebra language. The syntax uses a infix-operator
grammar parser. The distribution contains a small library of
mathematical functions, but its real strength is in the language in
which you can easily write your own symbolic manipulation algorithms.
It supports arbitrary precision arithmetic.

%description -l pl.UTF-8
Yacas (Yet Another Computer Algebra System - jeszcze jeden system
algebry komputerowej) jest małym i bardzo elastycznym językiem algebry
komputerowej. Składnia używa parsera gramatyki infix-operator.
Dystrybucja zawiera małą bibliotekę funkcji matematycznych, ale jej
prawdziwa siła leży w języku, w którym możesz łatwo napisać swoje
algorytmy obliczeń na symbolach. Obsługuje arytmetykę o dowolnej
precyzji.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C src install \
	DESTDIR=$RPM_BUILD_ROOT
%{__make} -C scripts install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

rm -rf manmake/{Makefile*,{manripper,removeduplicates}{,.cpp,.o}} \
	docs/{Makefile*,{autocompleter,riptestfromyart}{,.cpp,.o}}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO docs manmake
%attr(755,root,root) %{_bindir}/*
%{_datadir}/yacas
%{_desktopdir}/*.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: yacas.spec,v $
Revision 1.33  2010/05/12 15:40:16  baggins
- more desktop categories

Revision 1.32  2010/01/30 14:05:34  gotar
- upgraded to 1.2.2

Revision 1.31  2007/02/12 22:09:25  glen
- tabs in preamble

Revision 1.30  2007/02/12 01:06:41  baggins
- converted to UTF-8

Revision 1.29  2005/08/08 22:44:02  undefine
- up to 1.0.58

Revision 1.28  2005/01/06 21:29:10  qboosh
- cleanups, really switched to vfolders

Revision 1.27  2005/01/05 22:28:36  aniolek
- updated to 1.0.57
- dropped yacas-DESTDIR.patch

Revision 1.26  2003/11/19 12:27:17  trojan
- updated to 1.0.56

Revision 1.25  2003/06/04 12:23:16  trojan
- grr, fixed md5

Revision 1.24  2003/06/04 12:03:53  trojan
- updated to 1.0.55

Revision 1.23  2003/05/27 12:45:12  trojan
- added Source-md5

Revision 1.22  2003/05/25 06:28:38  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.21  2003/04/07 11:39:22  trojan
- updated to 1.0.54
- changed URL
- added DESTDIR patch
- added BR: gsl-devel

Revision 1.20  2002/12/03 12:48:35  roman
- corrected install command for yacas.desktop

Revision 1.19  2002/12/03 12:16:04  roman
- added yacas.desktop do Scientific/Mathematics applnk subdir
- changed Release from 3 to 4

Revision 1.18  2002/11/30 23:00:31  juandon
- new %%doc

Revision 1.17  2002/10/09 13:14:52  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.16  2002/05/21 23:15:09  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.15  2002/03/24 23:28:28  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.14  2002/02/23 05:29:56  kloczek
- adapterized.

Revision 1.13  2002/02/22 23:30:11  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.12  2002/01/18 02:15:46  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/12/24 11:38:35  qboosh
- pl description, release 3

Revision 1.10  2001/12/01 22:09:41  kloczek
- fix in %install: s/rm -f/rm -rf/

Revision 1.9  2001/12/01 14:52:27  kloczek
- fixed complete %doc.

Revision 1.8  2001/11/30 13:42:53  filon
- added automake and gmp patches, fixes for build
- added much html documentation
- fixed %%install
- release 2, STBR

Revision 1.7  2001/08/15 18:04:14  blues
- removed mine trash

Revision 1.6  2001/08/15 17:45:30  blues
- cosmetics

Revision 1.5  2001/07/26 15:29:36  kloczek
- added autoconf to BuildRequires.

Revision 1.4  2001/07/26 15:28:56  kloczek
- spec adapterized.

Revision 1.3  2001/07/26 13:38:43  trojan
- updated to 1.0.47; STB
- added autoconf before automake in %%prep
- removed obsolete patch

Revision 1.2  2000/12/10 12:49:25  kloczek
- completly rewrited in PLD style.
